io.vertx.reactivex.mssqlclient

## Class MSSQLPool

- java.lang.Object
- - io.vertx.reactivex.sqlclient.SqlClient
  - - io.vertx.reactivex.sqlclient.Pool
    - - io.vertx.reactivex.mssqlclient.MSSQLPool

-     public class MSSQLPool
      extends Pool

  A of `SQL Server connections`.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<MSSQLPool>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MSSQLPool(MSSQLPool delegate)`
    `MSSQLPool(Object delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `MSSQLPool` | `connectHandler(Handler<SqlConnection> handler)` Set an handler called when the pool has established a connection to the database.
    `MSSQLPool` | `connectionProvider(java.util.function.Function<Context,Future<SqlConnection>> provider)` Replace the default pool connection provider, the new `provider` returns a future connection for a given .
    `MSSQLPool` | `connectionProvider(Function<Context,Single<SqlConnection>> provider)` Replace the default pool connection provider, the new `provider` returns a future connection for a given .
    `boolean` | `equals(Object o)`
    `MSSQLPool` | `getDelegate()`
    `int` | `hashCode()`
    `static MSSQLPool` | `newInstance(MSSQLPool arg)`
    `static MSSQLPool` | `pool(List<MSSQLConnectOptions> databases, PoolOptions options)` Create a connection pool to the SQL Server `databases` with round-robin selection.
    `static MSSQLPool` | `pool(MSSQLConnectOptions database, PoolOptions options)` Create a connection pool to the SQL server `database` configured with the given `options`.
    `static MSSQLPool` | `pool(String connectionUri)` Like `pool(java.lang.String)` with default options.
    `static MSSQLPool` | `pool(String connectionUri, PoolOptions options)` Like `pool(java.lang.String)` with `database` built from `connectionUri`.
    `static MSSQLPool` | `pool(Vertx vertx, List<MSSQLConnectOptions> databases, PoolOptions options)` Like `pool(java.lang.String)` with a specific instance.
    `static MSSQLPool` | `pool(Vertx vertx, MSSQLConnectOptions database, PoolOptions options)` Like `pool(java.lang.String)` with a specific instance.
    `static MSSQLPool` | `pool(Vertx vertx, String connectionUri)` Like `pool(java.lang.String)` with default options.
    `static MSSQLPool` | `pool(Vertx vertx, String connectionUri, PoolOptions options)` Like `pool(java.lang.String)` with `database` built from `connectionUri`.
    `String` | `toString()`

    - ### Methods inherited from class io.vertx.reactivex.sqlclient.Pool

      `close, close, getConnection, getConnection, newInstance, pool, pool, pool, preparedQuery, query, rxClose, rxGetConnection, rxWithConnection, rxWithConnection, rxWithTransaction, rxWithTransaction, size, withConnection, withConnection, withConnection, withConnection, withTransaction, withTransaction, withTransaction, withTransaction`

    - ### Methods inherited from class io.vertx.reactivex.sqlclient.SqlClient

      `newInstance, preparedQuery`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<MSSQLPool> __TYPE_ARG

  - ### Constructor Detail

    - #### MSSQLPool

          public MSSQLPool(MSSQLPool delegate)

    - #### MSSQLPool

          public MSSQLPool(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Pool`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Pool`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Pool`

    - #### getDelegate

          public MSSQLPool getDelegate()

      Overrides:
        `getDelegate` in class `Pool`

    - #### pool

          public static MSSQLPool pool(String connectionUri)

      Like `pool(java.lang.String)` with default options.
      Parameters:
        `connectionUri` -
      Returns:

    - #### pool

          public static MSSQLPool pool(String connectionUri,
                                       PoolOptions options)

      Like `pool(java.lang.String)` with `database` built from `connectionUri`.
      Parameters:
        `connectionUri` -
        `options` -
      Returns:

    - #### pool

          public static MSSQLPool pool(Vertx vertx,
                                       String connectionUri)

      Like `pool(java.lang.String)` with default options.
      Parameters:
        `vertx` -
        `connectionUri` -
      Returns:

    - #### pool

          public static MSSQLPool pool(Vertx vertx,
                                       String connectionUri,
                                       PoolOptions options)

      Like `pool(java.lang.String)` with `database` built from `connectionUri`.
      Parameters:
        `vertx` -
        `connectionUri` -
        `options` -
      Returns:

    - #### pool

          public static MSSQLPool pool(MSSQLConnectOptions database,
                                       PoolOptions options)

      Create a connection pool to the SQL server `database` configured with the given `options`.
      Parameters:
        `database` - the options for the connection
        `options` - the options for creating the pool
      Returns:
        the connection pool

    - #### pool

          public static MSSQLPool pool(Vertx vertx,
                                       MSSQLConnectOptions database,
                                       PoolOptions options)

      Like `pool(java.lang.String)` with a specific instance.
      Parameters:
        `vertx` -
        `database` -
        `options` -
      Returns:

    - #### pool

          public static MSSQLPool pool(List<MSSQLConnectOptions> databases,
                                       PoolOptions options)

      Create a connection pool to the SQL Server `databases` with round-robin selection. Round-robin is applied when a new connection is created by the pool.
      Parameters:
        `databases` - the list of databases
        `options` - the options for creating the pool
      Returns:
        the connection pool

    - #### pool

          public static MSSQLPool pool(Vertx vertx,
                                       List<MSSQLConnectOptions> databases,
                                       PoolOptions options)

      Like `pool(java.lang.String)` with a specific instance.
      Parameters:
        `vertx` -
        `databases` -
        `options` -
      Returns:

    - #### connectHandler

          public MSSQLPool connectHandler(Handler<SqlConnection> handler)

      Description copied from class: `Pool`
      Set an handler called when the pool has established a connection to the database.

      This handler allows interactions with the database before the connection is added to the pool.

      When the handler has finished, it must call `SqlClient.close(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>>)` to release the connection to the pool.

      Overrides:
        `connectHandler` in class `Pool`
      Parameters:
        `handler` - the handler
      Returns:
        a reference to this, so the API can be used fluently

    - #### connectionProvider

          public MSSQLPool connectionProvider(java.util.function.Function<Context,Future<SqlConnection>> provider)

      Description copied from class: `Pool`
      Replace the default pool connection provider, the new `provider` returns a future connection for a given .

      A `ConnectionFactory` can be used as connection provider.

      Overrides:
        `connectionProvider` in class `Pool`
      Parameters:
        `provider` - the new connection provider
      Returns:
        a reference to this, so the API can be used fluently

    - #### connectionProvider

          public MSSQLPool connectionProvider(Function<Context,Single<SqlConnection>> provider)

      Description copied from class: `Pool`
      Replace the default pool connection provider, the new `provider` returns a future connection for a given .

      A `ConnectionFactory` can be used as connection provider.

      Overrides:
        `connectionProvider` in class `Pool`
      Parameters:
        `provider` - the new connection provider
      Returns:
        a reference to this, so the API can be used fluently

    - #### newInstance

          public static MSSQLPool newInstance(MSSQLPool arg)

Copyright © 2021 Eclipse. All rights reserved.